Bug 991659 - Brightness adjustment doesn't work [NEEDINFO]
Brightness adjustment doesn't work
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-03 06:57 EDT by Richard Foster
Modified: 2014-03-10 10:39 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:39:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 702352 None None None Never

  None (edit)
Description Richard Foster 2013-08-03 06:57:46 EDT
Description of problem:

Laptop Toshiba Satellite T110-107

I believe this is related to bug 702352.

I'm using Fedora KDE 19 but have seen the same issue on Ubuntu using Unity and Enlightenment as at Thursday 01/08/13 (two days ago).

The brightness keys are recognised but screen brightness is always max (unless screen is off). 

Changes to brightness through graphical menu in system settings > power management has no effect but the slider is movable and the box displaying the new brightness percentage is rendered. 

Version-Release number of selected component (if applicable):
Linux 3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:

Attempting to change brightness either with keyboard Fn keys or using graphical menus.

Steps to Reproduce:
1. Press key
2. Observe brightness 'bar' render and animate
3. Observe no change to screen brightness

Actual results:

Screen brightness does not change

Expected results:

Screen brightness should change

Additional info:

# pm-utils-bugreport-info.sh
SUSPEND LOG
cat: /var/log/pm-suspend.log: No such file or directory
======
SYS POWER
total 0
-rw-r--r--. 1 root root 4096 Aug  3 10:50 disk
-rw-r--r--. 1 root root 4096 Aug  3 11:53 image_size
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_async
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_freeze_timeout
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_print_times
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_test
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_trace
-rw-r--r--. 1 root root 4096 Aug  3 11:53 pm_trace_dev_match
-rw-r--r--. 1 root root 4096 Aug  3 11:53 reserved_size
-rw-r--r--. 1 root root 4096 Aug  3 11:53 resume
-rw-r--r--. 1 root root 4096 Aug  3 10:50 state
-rw-r--r--. 1 root root 4096 Aug  3 11:53 wakeup_count
======
SYS POWER STATE
freeze mem disk
======
SYS POWER DISK
[platform] shutdown reboot suspend 
======
QUIRKDB
Kernel modesetting video driver detected, not using quirks.
location: /usr/lib64/pm-utils/video-quirks
total 88
drwxr-xr-x. 2 root root  4096 Aug  1 21:39 .
dr-xr-xr-x. 7 root root  4096 Aug  1 21:39 ..
-rw-r--r--. 1 root root  5338 Jul  1 15:34 20-video-quirk-pm-acer.quirkdb
-rw-r--r--. 1 root root   899 Jul  1 15:34 20-video-quirk-pm-apple.quirkdb
-rw-r--r--. 1 root root  4259 Jul  1 15:34 20-video-quirk-pm-asus.quirkdb
-rw-r--r--. 1 root root  5942 Jul  1 15:34 20-video-quirk-pm-dell.quirkdb
-rw-r--r--. 1 root root  3671 Jul  1 15:34 20-video-quirk-pm-fujitsu.quirkdb
-rw-r--r--. 1 root root 10798 Jul  1 15:34 20-video-quirk-pm-hp.quirkdb
-rw-r--r--. 1 root root  3911 Jul  1 15:34 20-video-quirk-pm-ibm.quirkdb
-rw-r--r--. 1 root root  3680 Jul  1 15:34 20-video-quirk-pm-lenovo.quirkdb
-rw-r--r--. 1 root root 11584 Jul  1 15:34 20-video-quirk-pm-misc.quirkdb
-rw-r--r--. 1 root root   943 Jul  1 15:34 20-video-quirk-pm-samsung.quirkdb
-rw-r--r--. 1 root root  2289 Jul  1 15:34 20-video-quirk-pm-sony.quirkdb
-rw-r--r--. 1 root root  4133 Jul  1 15:34 20-video-quirk-pm-toshiba.quirkdb
======
SYS PROPS
system_firmware_version: V2.60
system_firmware_vendor: TOSHIBA
system_firmware_release_date: 04/21/2010
system_hardware_vendor: TOSHIBA
system_hardware_product: SATELLITE T110
system_hardware_version: PST1AE-00K00GEN
system_board_product: SATELLITE T110
system_board_version: Not Applicable
system_board_vendor: TOSHIBA
system_hardware_primary_video_vendor: 0x8086
system_hardware_primary_video_product: 0x2a42
system_hardware_primary_video_driver: i915
system_hardware_primary_video_using_kms: true
system_kernel_version: 3.10.4-300.fc19.x86_64
======
QUIRKS USED
--quirk-no-chvt
======
ETC PM
/etc/pm:
total 12
drwxr-xr-x. 2 root root 4096 Jul  8 09:56 config.d
drwxr-xr-x. 2 root root 4096 Jul  8 09:56 power.d
drwxr-xr-x. 2 root root 4096 Jul  8 09:56 sleep.d

/etc/pm/config.d:
total 0

/etc/pm/power.d:
total 0

/etc/pm/sleep.d:
total 0
DIR /etc/pm/config.d
======
DIR /etc/pm/power.d
======
DIR /etc/pm/sleep.d
======
UNAME
Linux localhost.localdomain 3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
======
RPM
kernel-3.9.5-301.fc19
kernel-3.10.3-300.fc19
kernel-3.10.4-300.fc19
pm-utils-1.4.1-24.fc19
package hal is not installed
package hal-info is not installed
package gnome-power-manager is not installed
package vbetool is not installed
package radeontool is not installed
package hdparm is not installed
======
FEDORA RELEASE
Fedora release 19 (Schrödinger’s Cat)
======
Comment 1 Um Nontasuwan 2013-08-03 12:28:38 EDT
I have the same problem on Asus Zenbook UX31A
It works fine on kernel 3.9 (just keyboard backlit that doesn't work)
but on 3.10.4-300 , brightness adjustment through FN key doesn't work also
and it set the default brightness to 0 (black screen) after enter gnome login screen.
Comment 2 Josh Boyer 2013-09-18 16:32:51 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Richard Foster 2013-10-02 17:16:40 EDT
I can confirm that this is still an issue.
Comment 4 Justin M. Forbes 2014-01-03 17:08:28 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2014-03-10 10:39:54 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.